about summary refs log tree commit diff
path: root/third_party/git/t/t1050-large.sh
diff options
context:
space:
mode:
authorVincent Ambo <tazjin@google.com>2020-05-25T23·06+0100
committerVincent Ambo <tazjin@google.com>2020-05-25T23·06+0100
commit93ba78d6f4632ef1c5228965e3edc8c0faf88c1e (patch)
tree85730c182a9f5f492ade8e8ccdb1c2356f9900bd /third_party/git/t/t1050-large.sh
parent6f8fbf4aa4b1654ab27d4829e114538761817de0 (diff)
revert(3p/git): Revert merge of git upstream at v2.26.2 r/852
This causes cgit to serve error pages, which is undesirable.

This reverts commit 5229c9b232de5bfa959ad6ebbb4c8192ac513352, reversing
changes made to f2b211131f2347342dde63975b09cf603149f1a3.
Diffstat (limited to 'third_party/git/t/t1050-large.sh')
-rwxr-xr-xthird_party/git/t/t1050-large.sh16
1 files changed, 7 insertions, 9 deletions
diff --git a/third_party/git/t/t1050-large.sh b/third_party/git/t/t1050-large.sh
index 184b479a21..dcb4dbba67 100755
--- a/third_party/git/t/t1050-large.sh
+++ b/third_party/git/t/t1050-large.sh
@@ -53,8 +53,7 @@ test_expect_success 'add a large file or two' '
 	for p in .git/objects/pack/pack-*.pack
 	do
 		count=$(( $count + 1 ))
-		if test_path_is_file "$p" &&
-		   idx=${p%.pack}.idx && test_path_is_file "$idx"
+		if test -f "$p" && idx=${p%.pack}.idx && test -f "$idx"
 		then
 			continue
 		fi
@@ -66,7 +65,7 @@ test_expect_success 'add a large file or two' '
 	test $cnt = 2 &&
 	for l in .git/objects/??/??????????????????????????????????????
 	do
-		test_path_is_file "$l" || continue
+		test -f "$l" || continue
 		bad=t
 	done &&
 	test -z "$bad" &&
@@ -77,8 +76,7 @@ test_expect_success 'add a large file or two' '
 	for p in .git/objects/pack/pack-*.pack
 	do
 		count=$(( $count + 1 ))
-		if test_path_is_file "$p" &&
-		   idx=${p%.pack}.idx && test_path_is_file "$idx"
+		if test -f "$p" && idx=${p%.pack}.idx && test -f "$idx"
 		then
 			continue
 		fi
@@ -113,7 +111,7 @@ test_expect_success 'packsize limit' '
 		count=0 &&
 		for pi in .git/objects/pack/pack-*.idx
 		do
-			test_path_is_file "$pi" && count=$(( $count + 1 ))
+			test -f "$pi" && count=$(( $count + 1 ))
 		done &&
 		test $count = 2 &&
 
@@ -196,15 +194,15 @@ test_expect_success 'pack-objects with large loose object' '
 	test_cmp huge actual
 '
 
-test_expect_success 'tar archiving' '
+test_expect_success 'tar achiving' '
 	git archive --format=tar HEAD >/dev/null
 '
 
-test_expect_success 'zip archiving, store only' '
+test_expect_success 'zip achiving, store only' '
 	git archive --format=zip -0 HEAD >/dev/null
 '
 
-test_expect_success 'zip archiving, deflate' '
+test_expect_success 'zip achiving, deflate' '
 	git archive --format=zip HEAD >/dev/null
 '